> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rxresu.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get resume stylesheet state

> Returns the owner-only canonical semantic stylesheet state and concurrency versions.



## OpenAPI

````yaml /spec.json get /resumes/{id}/stylesheet
openapi: 3.1.1
info:
  title: Reactive Resume
  version: 5.2.5
  description: Reactive Resume API
  license:
    name: MIT
    url: https://github.com/amruthpillai/reactive-resume/blob/main/LICENSE
  contact:
    name: Amruth Pillai
    email: hello@amruthpillai.com
    url: https://amruthpillai.com
servers:
  - url: https://rxresu.me/api/openapi
security:
  - apiKey: []
externalDocs:
  url: https://docs.rxresu.me
  description: Reactive Resume Documentation
paths:
  /resumes/{id}/stylesheet:
    get:
      tags:
        - Resumes
      summary: Get resume stylesheet state
      description: >-
        Returns the owner-only canonical semantic stylesheet state and
        concurrency versions.
      operationId: getResumeStylesheetState
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the resume.
      responses:
        '200':
          description: The canonical stylesheet state.
          content:
            application/json:
              schema:
                type: object
                properties:
                  stylesheet:
                    type: object
                    properties:
                      mode:
                        type: string
                        enum:
                          - legacy
                          - semantic
                      source:
                        type: object
                        properties:
                          languageVersion:
                            type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                            exclusiveMinimum: 0
                          text:
                            type: string
                        required:
                          - languageVersion
                          - text
                        additionalProperties: false
                      applied:
                        type: object
                        properties:
                          languageVersion:
                            type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                            exclusiveMinimum: 0
                          text:
                            type: string
                        required:
                          - languageVersion
                          - text
                        additionalProperties: false
                    required:
                      - mode
                      - source
                      - applied
                    additionalProperties: false
                  revision:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                  renderDataVersion:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                required:
                  - stylesheet
                  - revision
                  - renderDataVersion
                additionalProperties: false
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header
      description: The API key to authenticate requests.

````